- Qt 5.15
- Qt 3D
- C++ Classes
- QRenderTargetSelector
- Qt 5.15.18 Reference Documentation

# QRenderTargetSelector Class

class Qt3DRender::QRenderTargetSelector

Provides a way of specifying a render target. More...

Header: | #include <QRenderTargetSelector>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | RenderTargetSelector
Inherits: | Qt3DRender::QFrameGraphNode

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- target : Qt3DRender::QRenderTarget*

## Public Functions

QVector<QRenderTargetOutput::AttachmentPoint> | outputs() const
void | setOutputs(const QVector<QRenderTargetOutput::AttachmentPoint> &buffers)
QRenderTarget * | target() const

## Public Slots

void | setTarget(QRenderTarget *target)

## Signals

void | targetChanged(QRenderTarget *target)

## Detailed Description

A Qt3DRender::QRenderTargetSelector is used to select active Qt3DRender::QRenderTarget for the FrameGraph. When QRenderTargetSelector is present in the FrameGraph, the rendering is directed into QTexture objects or draw buffers instead of the surface specified in the Qt3DRender::QRenderSurfaceSelector. A render buffer is automatically generated for an attachment point if drawBuffers contain attachment point that any output in the QRenderTarget do not specify. If the drawBuffers is empty, the renderer will default to using all the outputs in QRenderTarget.

## Property Documentation

### target : Qt3DRender::QRenderTarget*

Holds the current render target

Access functions:

QRenderTarget * | target() const
void | setTarget(QRenderTarget *target)

Notifier signal:

void | targetChanged(QRenderTarget *target)

## Member Function Documentation

### QVector<QRenderTargetOutput::AttachmentPoint> QRenderTargetSelector::outputs() const

Returns the list of draw buffers for the current Qt3DRender::QRenderTargetSelector instance.

See also setOutputs().

### void QRenderTargetSelector::setOutputs(const QVector<QRenderTargetOutput::AttachmentPoint> &buffers)

Sets the draw buffers to be used. The draw buffers should be matching the Qt3DRender::QRenderTargetOutput::AttachmentPoint defined in the attachments of the Qt3DRender::QRenderTarget associated to the Qt3DRender::QRenderTargetSelector instance.

Note: At render time, if no draw buffer has been specified, the renderer will default to using all the attachments' draw buffers.

See also outputs().